# Gimp.FileProcedure

    from gi.repository import Gimp

    file_procedure = Gimp.FileProcedure()

File procedures implement file support. They cannot be created directly. Instead, you will create an instance of one of the sublasses (such as export or load procedures). This provides a common interface for file-related functions on these objects.

## Hierarchy

- GObject.Object
  - Gimp.Procedure
    - Gimp.FileProcedure

## Methods

- Gimp.FileProcedure.get_extensions
- Gimp.FileProcedure.get_format_name
- Gimp.FileProcedure.get_handles_remote
- Gimp.FileProcedure.get_magics
- Gimp.FileProcedure.get_mime_types
- Gimp.FileProcedure.get_prefixes
- Gimp.FileProcedure.get_priority
- Gimp.FileProcedure.set_extensions
- Gimp.FileProcedure.set_format_name
- Gimp.FileProcedure.set_handles_remote
- Gimp.FileProcedure.set_magics
- Gimp.FileProcedure.set_mime_types
- Gimp.FileProcedure.set_prefixes
- Gimp.FileProcedure.set_priority

## Fields

- Gimp.FileProcedure->parent_instance